Memory Stores
Update a memory store
Updates the specified memory store with the supplied configuration changes.
Koptekstparameters
Foundry-Features
enum
vereist
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Padparameters
name
string
vereist
The name of the memory store to update.
Queryparameters
api-version
string
vereist
The API version to use for this operation.
Aanvraagbody
description
string
A human-readable description of the memory store.
metadata
object
Arbitrary key-value metadata to associate with the memory store.
Antwoorden
The request has succeeded.
Hoofdtekst
object
enum
vereist
The object type, which is always 'memory_store'.
id
string
vereist
The unique identifier of the memory store.
name
string
vereist
The name of the memory store.
description
string
A human-readable description of the memory store.
metadata
object
Arbitrary key-value metadata to associate with the memory store.
definition
default
vereist
Base definition for memory store configurations.
default
MemoryStoreDefaultDefinition
Default memory store implementation.
kind
enum
vereist
The kind of the memory store.
chat_model
string
vereist
The name or identifier of the chat completion model deployment used for memory processing.
embedding_model
string
vereist
The name or identifier of the embedding model deployment used for memory processing.
options
MemoryStoreDefaultOptions
Default memory store configurations.
user_profile_enabled
boolean
vereist
Whether to enable user profile extraction and storage. Default is true.
user_profile_details
string
Specific categories or types of user profile information to extract and store.
chat_summary_enabled
boolean
vereist
Whether to enable chat summary extraction and storage. Defaults to true.
procedural_memory_enabled
boolean
Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.
default_ttl_seconds
integer
The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.
Aanvraag
POST /memory_stores/{name} HTTP/1.1
Respons
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json